Skip to main content
GET
/
table
/
references
/
{documentId}
List table references in a document
curl --request GET \
  --url https://app.myhero.so/table/references/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "_id": "<string>",
      "documentId": "<string>",
      "workspaceId": "<string>",
      "tableId": "<string>",
      "columnId": "<string>",
      "relatedRowId": "<string>",
      "columnName": "<string>",
      "tableName": "<string>",
      "type": "relation",
      "createdAt": 123,
      "updatedAt": 123,
      "originId": "<string>",
      "oneToManyColumnId": "<string>",
      "oneToManyInstanceIds": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.myhero.so/llms.txt

Use this file to discover all available pages before exploring further.

Returns all table references embedded in the given document. Requires edit access to the document.

Authorizations

Authorization
string
header
required

HERO personal access token

Path Parameters

documentId
string
required
Minimum string length: 1

Response

200 response

data
object[]
required